package mine;

public class Run {
	
	public static void main (String[] args) throws NoSuchMethodException, 
		SecurityException {
		
		Incident incident = new Incident("Access Violation error on restart", 2036);
		ChangeRequest changeRequest = new ChangeRequest("New module implementation", 6667);
		WorkOrder workOrder = new WorkOrder("Change the deployment configuration", 3306);		
		Problem problem = new Problem("Too slow connection speed", 1002);
		
		incident.setParent(changeRequest);	// Can't relate Incident and ChangeRequest
		workOrder.setParent(incident);		// OK
		changeRequest.setParent(problem);	// Can't relate ChangeRequest and Problem
		problem.setParent(changeRequest);	// OK
	}
}
 