package src;

import java.util.*;

public class PlayMapImpl {
	
	public static void main(String[] args) {
		
		Map<String, Integer> cities = new HashMap<String, Integer>();
		cities.put("Lund", 340000);
		cities.put("Lyon", 950000);
		cities.put("Pisa", 240000);
		cities.put("Dortmund", 450000);
		cities.put("Bonn", 550000);
		System.out.println(cities);

		Map<String, Integer> cities2 = new TreeMap<String, Integer>();
		cities2.put("Lund", 340000);
		cities2.put("Lyon", 950000);
		cities2.put("Pisa", 240000);
		cities2.put("Dortmund", 450000);
		System.out.println(cities2);
		
		HashMapControl<String, Integer> cities3 = new HashMapControl<String, Integer>();	// Map size limit = 5
		cities3.put("Lund", 340000);
		cities3.put("Lyon", 950000);
		cities3.put("Pisa", 240000);
		cities3.put("Dortmund", 450000);
		cities3.put("Bonn", 550000);
		cities3.put("Duisburg", 350000);
		cities3.put("Duisburg2", 350000);
		System.out.println(cities3);
		
	}

}

// Overriding superclass' method for controlling Map size
class HashMapControl<K, V> extends LinkedHashMap {
	
	private static final int MAX_ENTRIES = 2;
	
	@Override
	protected boolean removeEldestEntry(Map.Entry eldest) {
		return size() > MAX_ENTRIES;
	}
	
	
	
}

