package src;

import java.util.*;


public class PlaySetImpl {
	
	public static void main (String[] args) {
		
		Set<String> cities = new HashSet<String>();	// much faster than TreeSet but offers no ordering guarantees
		cities.add("Toronto");
		cities.add("Madrid");
		cities.add("Lisboa");
		cities.add("Malaga");
		System.out.println(cities);
		
		Set<String> cities2 = new TreeSet<String>(); // if you need to use the operations in the SortedSet interface, or if value-ordered iteration is required
		cities2.add("Toronto");
		cities2.add("Madrid");
		cities2.add("Lisboa");
		cities2.add("Malaga");
		System.out.println(cities2);
		
		Set<String> cities3 = new LinkedHashSet<String>(); // insertion-ordered iteration (least recently inserted to most recently), runs nearly as fast as HashSet
		cities3.add("Toronto");
		cities3.add("Madrid");
		cities3.add("Lisboa");
		cities3.add("Malaga");
		System.out.println(cities3);
		
		
		Set<String> citiesCapacity = new HashSet<String>(64);	// initial capacity set to 64, refers to the number of elements the HashSet can hold before it has to grow 
		
	}
	

}
