package src;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class PlaySQLException {
	
	public static void printSQLException(SQLException ex) {
		for(Throwable e : ex) {
			e.printStackTrace();			
			System.err.println("SQLState: " + ((SQLException)e).getSQLState());
			System.err.println("Error Code: " + ((SQLException)e).getErrorCode());
			System.err.println("Message: " + e.getMessage());
			Throwable t = ex.getCause();
			
			while(t != null) {
				System.out.println("Cause: " + t);
				t = t.getCause();
			}
		}
	}
	
	
	public static void main(String[] args) {
		
		try {
		Connection conn = DriverManager.getConnection(
				"jdbc:mysql://localhost:3306/testdbee?user=root&password=toor");
		Statement stmt = conn.createStatement();
		ResultSet rs = stmt.executeQuery("SHOW TABLEz");
		
			while(rs.next()) {
				System.out.println(rs.getString(1));
			}
			
		} catch (SQLException se) {
			printSQLException(se);
		}
		
	}

}
