import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map.Entry;


public class PlayCRUD {
	
	
	public static Connection doConnect() throws SQLException {
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		return conn;
	}
	
	public static void createBeveragesTable(String table) throws SQLException {
		
		String createT = "CREATE TABLE testdb." + table + " (FLAVOUR varchar(30) NOT NULL, TYPE varchar(30) NOT NULL, PRICE double NOT NULL)";
		Statement stmt = doConnect().createStatement();
		stmt.executeUpdate(createT);
		System.out.println("Table " + table + " created successfully.");
	}
	
	public static void dropTable(String table) throws SQLException {
		
		String query = "DROP TABLE " + table;
		Statement stmt = doConnect().createStatement();
		stmt.executeUpdate(query);
		System.out.println("Table " + table + " removed successfully.");
	}
	
	public static void populateBeveragesTable(String table, String flavour, String type, double price) throws SQLException {
		
		String query = "INSERT INTO testdb." + table + " VALUES('" + flavour + "', '" + type + "', " + price + ")";
		Statement stmt = doConnect().createStatement();
		stmt.executeUpdate(query);		
	}
	
	
	public static void main(String[] args) throws SQLException {
		
		createBeveragesTable("tea");
				
		HashMap<String, String> teas = new HashMap();
		teas.put("Herbal", "Green");
		teas.put("Mint", "Green");
		teas.put("Earl Gray", "Black");
		teas.put("Camomile", "Green");
			
		for(Entry<String, String> me : teas.entrySet()) {
			populateBeveragesTable("tea", me.getKey(), me.getValue(), 9.99);
		}
		
//		dropTable("tea");
	}

}
