import java.sql.*;


public class PlayResultSetConcurrent {
	
	public static void modPrices(int percentage) throws SQLException {
		
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		Statement stmt = conn.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_UPDATABLE);
		ResultSet rs = stmt.executeQuery("SELECT * FROM COFFEES");
		
		while(rs.next()) {
			double p = rs.getDouble("PRICE");
			rs.updateDouble("PRICE", p + (p / 100 * percentage));
			rs.updateRow();
			
			double price = rs.getDouble("PRICE");
			String cn = rs.getString("COF_NAME");			
			
			System.out.println("Name: " + cn + "\nPrice: " + price);
		}

	}
	
	public static void main(String[] args) throws SQLException {
		modPrices(11);
		
	}

}
