import java.sql.*;


public class PlayTransactions {
	
	public static void updatePrices(String coffeeName, float priceModifier, float maximumPrice) throws SQLException {
		
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		conn.setAutoCommit(false);
		
		Savepoint sp1 = conn.setSavepoint();
		Statement getPrice = conn.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
		Statement updatePrice = conn.createStatement();
		
		String query = "SELECT cof_name, price FROM COFFEES WHERE cof_name = '" + coffeeName + "'";
		
		if(!getPrice.execute(query)) {
			
			System.out.println("Couldn't find entry");
			
		} else {
			
			ResultSet rs = getPrice.getResultSet();
			rs.first();
			float oldPrice = rs.getFloat("price");
			float newPrice = oldPrice + (oldPrice * priceModifier);
			
			System.out.println("Old price: " + oldPrice);
			System.out.println("New price: " + newPrice);
			
			System.out.println("Performing update...");
			
			updatePrice.executeUpdate("UPDATE coffees SET price = " + newPrice + " WHERE cof_name = '" + coffeeName + "'");
			
			if (newPrice > maximumPrice) {
				System.out.println("The new price " + newPrice + ", is greater than the maximum price - " + maximumPrice + 
						"\nRolling back the transaction...");
				conn.rollback();
			}
			conn.commit();
		}
	}
	
	public static void main(String[] args) throws SQLException {
		
		updatePrices("Capuccino", 1, 100);
		
	}

}
