import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Savepoint;

public class TransAccess {
	
	public static void grantAccess(String username, int authorityLevel) throws SQLException {
		
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		conn.setAutoCommit(false);
		
		// Level A
		Savepoint save1 = conn.setSavepoint();
		PreparedStatement ps1 = conn.prepareStatement("INSERT INTO access VALUES ('" + username + "', true, false, false)");
		ps1.executeUpdate();
		
		// Level B
		Savepoint save2 = conn.setSavepoint();
		PreparedStatement ps2 = conn.prepareStatement("INSERT INTO access VALUES ('" + username + "', true, true, false)");
		ps2.executeUpdate();
		
		// Level C
		Savepoint save3 = conn.setSavepoint();
		PreparedStatement ps3 = conn.prepareStatement("INSERT INTO access VALUES ('" + username + "', true, true, true)");
		ps3.executeUpdate();
		
		if(authorityLevel < 10) {
			conn.rollback(save2);
			System.out.println(username + ": Level A");
		} else if(authorityLevel > 10 & authorityLevel < 100) {
			conn.rollback(save3);
			System.out.println(username + ": Level A, B");
		} else if(authorityLevel > 100) {
			System.out.println(username + ": Level A, B, C");
			conn.commit();
		}
		conn.commit();
	}
	
	public static void main(String[] args) throws SQLException {
		grantAccess("blee", 0);
		grantAccess("fsmith", 23);
		grantAccess("aporridge", 34);
		grantAccess("wdickson", 12);
		grantAccess("jwatson", 9);
		grantAccess("jfinkley", 2);
		grantAccess("soconnel", 120);
	}

}