import java.sql.*;

import javax.sql.rowset.*;

public class PlayFilteredRowSet {
	
	public static void doConnect() throws SQLException {
		
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		RowSetFactory rsf = RowSetProvider.newFactory();
		FilteredRowSet frs = rsf.createFilteredRowSet();
		
		frs.setCommand("SELECT * FROM coffee_houses");
		frs.execute(conn);
		
		String[] names = {"LA", "SF", "Carmel"};
		PlayFilter pf = new PlayFilter(10000, 10080, 1);
		PlayFilter2 pf2 = new PlayFilter2(names, 2);
		
		frs.setFilter(pf);
		frs.setFilter(pf2);
			
		frs.beforeFirst();
//		frs.setFilter(null);
		
		while(frs.next()) {
				String city = frs.getString("CITY");
				System.out.println(city);

		}
	}
	
	
	public static void main(String[] args) throws SQLException {
		
		doConnect();
	}

}
