import java.io.IOException;
import java.sql.*;
import java.util.Random;

import javax.sql.rowset.*;

public class PlayWebRowSet2 {
	
	public static void doConnect() throws SQLException, IOException, InstantiationException, IllegalAccessException {
		
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		conn.setAutoCommit(false);
		
		RowSetFactory rsf = RowSetProvider.newFactory();
		WebRowSet wrsInsert = rsf.createWebRowSet();
		
		wrsInsert.setCommand("SELECT * FROM coffees");
		wrsInsert.execute(conn);
		
		java.io.FileWriter inserter = new java.io.FileWriter("D:\\temp\\insert.xml");
		wrsInsert.writeXml(inserter);		

		wrsInsert.moveToInsertRow();
		wrsInsert.updateString("COF_NAME", "Latte" + Random.class.newInstance().nextInt(33));
		wrsInsert.updateInt("SUP_ID", 101);
		wrsInsert.updateDouble("PRICE", 3.33);
		wrsInsert.updateInt("SALES", 11);
		wrsInsert.updateInt("TOTAL", 34);

		wrsInsert.insertRow();
		wrsInsert.moveToCurrentRow();
		
	}
	
	public static void main(String[] args) throws SQLException, IOException, InstantiationException, IllegalAccessException {
		doConnect();
	}

}
