package april18;

import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

public class Demo {
	Object obj;
	
	public static void main (String[] args) {
		System.out.println(Object.class.getName());
				
		System.out.println(new Date());
		
		String s = new Date().toString();
		
		System.out.println(s);
		System.out.println(s.toString().replace('2', '3'));
		
		Date tday = new Date();
		
		System.out.println(tday.toString().substring(0, 10));
		
		Date deadline; // is not an object, it is an object variable (doesn't refer to any object)
		deadline = new Date(); // object variable (deadline) refers to an object (new Date())
		
		deadline = tday;
		
		System.out.println(deadline);
		
		tday = null;
		
//		deadline = tday;	// both null
		
		System.out.println("tday: " + tday + "\n" + "deadline: " + deadline);
		
		GregorianCalendar calendar = new GregorianCalendar(2013, 8, 22);
		System.out.println(calendar);
		System.out.println(calendar.toString());
		
		int daynum = calendar.get(Calendar.DAY_OF_WEEK);
		String day = new String();
		
		if (daynum == 1) {
			day = "Monday";
		}
		
		System.out.println(day);
		
		calendar.set(Calendar.DAY_OF_WEEK, 23);
		daynum = calendar.get(Calendar.DAY_OF_WEEK);
		
		if (daynum == 2) {
			day = "Tuesday";
		}		
		System.out.println(day);

		calendar.add(Calendar.DAY_OF_WEEK, 1);
		daynum = calendar.get(Calendar.DAY_OF_WEEK);

		if (daynum == 3) {
			day = "Wednesday";
		}		
		System.out.println(day);
		
		
		
		
		
		
		
		
	}

}
