package april19;

import java.util.Date;
import java.util.GregorianCalendar;

public class EmployeeTest {

	public static void main (String[] args) {
		
		Employee[] staff = new Employee[3];
		
		staff[0] = new Employee("Jack Jackson", 50000, 1987, 12, 15);
		staff[1] = new Employee("Nick Nixon", 20000, 1990, 10, 1);
		staff[2] = new Employee("Mitch Mihlson", 120000, 1985, 9, 22);
		
		System.out.println("Before raising");
		for (Employee e : staff) {
			
			System.out.println("Name: " + e.getName() + "\n" + "Salary: " + e.getSalary() + "\n" + "Hire day: " + e.getHireDay());
		}
		
		for (Employee e : staff) {
			e.raiseSalary(10);
		}
		
		System.out.println("After raising");		
		for (Employee e : staff) {
			e.setId();
			System.out.println("Name: " + e.getName() + "\n" + "Salary: " + e.getSalary() + "\n" + "Hire day: " + e.getHireDay()
					+ "\n" + "Id: " + e.getId());
		}
		
		int n = Employee.getNextId(); // static method call
		System.out.println("Next possible Id: " + n);
		
		
	}
}



