package april27;

import java.util.ArrayList;
import java.util.Date;
import java.util.GregorianCalendar;

public class ArrayListTest {

	public static void main(String[] args) {

		ArrayList<Employee> staff = new ArrayList<Employee>();
		Employee mark = new Employee("Mark", 10000, 1987, 11, 11);
		Employee peter = new Employee("Peter", 50000, 1987, 11, 11);
		Employee john = new Employee("John", 70000, 1987, 11, 11);

		Employee paul = new Employee("Paul", 44000, 1987, 11, 11);
		Employee dereck = new Employee("Dereck", 33000, 1987, 11, 11);

		staff.add(mark);
		staff.add(peter);
		staff.add(john);
		staff.add(paul);
		staff.add(dereck);

		staff.add(new Employee("", 1, 1, 1, 1));

		staff.set(5, dereck);

		// Derecks' invasion
		for (int i = 0; i < staff.size(); i++) {
			staff.set(i, dereck);
		}

		// insert Paul in the middle
		int middle = staff.size() / 2;
		staff.add(middle, paul);

		for (Employee e : staff) {
			System.out.println(e.getName() + " " + e.getSalary() + " "
					+ e.getHireDay());
		}

	}

}


class Employee {

	private String name;
	private double salary;
	private Date hireDay;

	public Employee(String n, double s, int year, int month, int day) {

		name = n;
		salary = s;
		GregorianCalendar calendar = new GregorianCalendar(year, month - 1, day);
		hireDay = calendar.getTime();
	}

	public String getName() {
		return name;
	}

	public double getSalary() {
		return salary;
	}

	public Date getHireDay() {
		return hireDay;
	}

	public void raiseSalary(double byPercent) {
		double raise = salary * byPercent / 100;
		salary += raise;

	}

}