package may3;

public class TicketRun {

	public static void main(String[] args) {

		BusinessLogic bl = new BusinessLogic();
		
		Incident inc1 = new Incident("Cant open window");
		ChangeRequest cr1 = new ChangeRequest("Change right panel");
		WorkOrder wo1 = new WorkOrder(cr1.getSummary());	// Work Order has the same summary as requested in the Change Request
		
		// getting info before business actions
		inc1.getInfo();
		cr1.getInfo();
		wo1.getInfo();

		// work order assigned and is in progress
		wo1.setStatus("In Progress");
				
		// starting business logic: change CR status if assigned WO is in progress
		bl.startBusiness(wo1, cr1);
		
		// getting info after business logic actions: change request becomes "In Progress"
		inc1.getInfo();
		cr1.getInfo();
		wo1.getInfo();

	}
}
