package may4;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.Timer;

public class InnerClassTest {

	public static void main(String[] args) {

		TalkingClock2 clock = new TalkingClock2(1000, true);
		clock.start();

		JOptionPane.showMessageDialog(null, "Quit?");
		System.exit(0);

	}

}

class TalkingClock2 {

	private int interval;
	private boolean beep;

	public TalkingClock2(int interval, boolean beep) {
		this.interval = interval;
		this.beep = beep;
	}

	public void start() {

		ActionListener listener = new TimerPrinter();
		Timer t = new Timer(1000, listener);
		t.start();

	}

	private class TimerPrinter implements ActionListener {

		public void actionPerformed(ActionEvent event) {

			Date now = new Date();
			System.out.println("At the tone the time is: " + now);
			if (beep)
				Toolkit.getDefaultToolkit().beep();

		}

	}
}
