package may24;


import java.util.Iterator;
import java.util.List;

public class FindGuitarTest {
	

	public static void main(String[] args) {

		Inventory inventory = new Inventory();
		initializeInventory(inventory);
		
//		GuitarSpec whatKateLikes = new GuitarSpec(Builder.FENDER, "Stratocastor", Type.ELECTRIC, 6,
//				Wood.MAHOGANY, Wood.MAHOGANY);
		
		MandolinSpec whatKateLikes2 = new MandolinSpec(Builder.FENDER, "Stratocastor", Type.ELECTRIC, Style.A, Wood.MAHOGANY, Wood.MAHOGANY);
		
//		List matchedGuitar2 = inventory.searchGuitar(whatKateLikes);
		List matchedMandolins = inventory.search(whatKateLikes2);
		
		if(!matchedMandolins.isEmpty()) {
			System.out.println("Kate, you may like these guitars..,");
			
			for (Iterator i = matchedMandolins.iterator(); i.hasNext();) {				
				Mandolin mandolin = (Mandolin)i.next();
				MandolinSpec spec = (MandolinSpec)mandolin.getSpec();
			
			System.out.println(spec.getBackWood() + " " + spec.getBuilder()
					+ " " + spec.getModel() + " " + mandolin.getPrice() + " " + mandolin.getSerialNumber() + " " + spec.getStyle() + " " + spec.getTopWood()
					+ " " + spec.getTopWood());
			}
		} else {
			System.out.println("Sorry, nothing for you");
		}
				

	}

	private static void initializeInventory(Inventory inventory) {


		inventory.addInstrument("133", 99923.8, new MandolinSpec(Builder.FENDER, "Stratocastor", Type.ELECTRIC, Style.A, Wood.MAHOGANY, Wood.MAHOGANY));
		
		inventory.addInstrument("133", 1230.8, new GuitarSpec(Builder.FENDER, "Stratocastor", Type.ELECTRIC, 6, Wood.MAHOGANY, Wood.MAHOGANY));
		inventory.addInstrument("133", 1230.8, new GuitarSpec(Builder.FENDER, "Stratocastor", Type.ELECTRIC, 12, Wood.MAHOGANY, Wood.MAHOGANY));

		inventory.addInstrument("133", 1230.8, new GuitarSpec(Builder.FENDER, "Stratocastor2", Type.ELECTRIC, 6, Wood.MAHOGANY, Wood.MAHOGANY));
		inventory.addInstrument("133", 12323.8, new GuitarSpec(Builder.FENDER, "Stratocastor", Type.ELECTRIC, 6, Wood.MAHOGANY, Wood.MAHOGANY));


	}

}
