package gsf;

public class UnitTester {

	public void testType(Unit unit, String type, String expectedOutputType) {

		System.out.println("Testing setting-getting the type property");
		unit.setType(type);

		String outputType = unit.getType();

		if (expectedOutputType.equals(outputType)) {
			System.out.println("Test passed");
		} else {

			System.out.println("Test Failed " + outputType + " didn't match "
					+ expectedOutputType);
		}
	}

	public void testName(Unit unit, String name, String expectedOutputName) {

		System.out.println("Testing setting-getting the name property");
		unit.setName(name);
		unit.getProperty(null);			// DEFFENSIVE runtime exception

		String outputName = unit.getName();

		if (expectedOutputName.equals(outputName)) {
			System.out.println("Test passed");
		} else {

			System.out.println("Test Failed " + outputName + " didn't match "
					+ expectedOutputName);
		}
	}

	public static void main(String[] args) {
		UnitTester tester = new UnitTester();

		Unit unit = new Unit(1001);

		tester.testType(unit, "infantry", "infantry");
		tester.testName(unit, "John", "Johnson");

	}

}
