package may16;

import java.util.Iterator;
import java.util.List;

public class FindGuitarTest {

	public static void main(String[] args) {

		Inventory inventory = new Inventory();
		initializeInventory(inventory);
		
		GuitarSpec whatKateLikes = new GuitarSpec(Builder.FENDER, "Stratocastor", Type.ELECTRIC, 6,
				Wood.MAHOGANY, Wood.MAHOGANY);
		List matchedGuitar2 = inventory.search(whatKateLikes);
		
		if(!matchedGuitar2.isEmpty()) {
			System.out.println("Kate, you may like these guitars..,");
			
			for (Iterator i = matchedGuitar2.iterator(); i.hasNext();) {				
				Guitar guitar = (Guitar)i.next();
				GuitarSpec spec = guitar.getSpec();
			
			System.out.println(spec.getBackWood() + " " + spec.getBuilder()
					+ " " + spec.getModel() + " " + guitar.getPrice() + " " + guitar.getSerialNumber() + " " + spec.getTopWood()
					+ " " + spec.getTopWood());
			}
		} else {
			System.out.println("Sorry, nothing for you");
		}
				

	}

	private static void initializeInventory(Inventory inventory) {

		inventory.addGuitar("133", 1230.8, new GuitarSpec(Builder.FENDER, "Stratocastor", Type.ELECTRIC, 6, Wood.MAHOGANY, Wood.MAHOGANY));
		inventory.addGuitar("133", 1230.8, new GuitarSpec(Builder.FENDER, "Stratocastor", Type.ELECTRIC, 12, Wood.MAHOGANY, Wood.MAHOGANY));

		inventory.addGuitar("133", 1230.8, new GuitarSpec(Builder.FENDER, "Stratocastor2", Type.ELECTRIC, 6, Wood.MAHOGANY, Wood.MAHOGANY));
		inventory.addGuitar("133", 1239.8, new GuitarSpec(Builder.FENDER, "Stratocastor", Type.ELECTRIC, 6, Wood.MAHOGANY, Wood.MAHOGANY));

	}

}
