package may16;

public class GuitarSpec {

	Wood backWood;
	Wood topWood;
	Builder builder;
	Type type;
	private double price;
	private String model;
	private int numStrings;

	public GuitarSpec(Builder builder, String model, Type type, int numStrings,
			Wood backWood, Wood topWood) {

		this.builder = builder;
		this.model = model;
		this.type = type;
		this.numStrings = numStrings;
		this.topWood = topWood;
		this.backWood = backWood;
	}

	public boolean matches(GuitarSpec otherSpec) {

		if (builder != otherSpec.builder)
			return false;

		if ((model != null) && (!model.equals(""))
				&& (!model.equals(otherSpec.model)))
			return false;

		if (type != otherSpec.type)
			return false;

		if (numStrings != otherSpec.numStrings)
			return false;

		if (backWood != otherSpec.backWood)
			return false;

		if (topWood != otherSpec.topWood)
			return false;

		return true;

	}

	public Builder getBuilder() {
		return builder;
	}

	public String getModel() {
		return model;
	}

	public Type getType() {
		return type;
	}

	public int getNumStrings() {
		return numStrings;
	}

	public Wood getBackWood() {
		return backWood;
	}

	public Wood getTopWood() {
		return topWood;
	}

}
