package may22;


public class DogDoorSimulator {

	public static void main(String[] args) {

		DogDoor door = new DogDoor();
		Bark allowedBark = new Bark("Wraf");
		door.setAllowedBark(allowedBark);
		
		BarkRecognizer recognizer = new BarkRecognizer(door);
		Remote remote = new Remote(door);
		
		recognizer.recognize(allowedBark);

		// open the door
		System.out.println("dog is out");

		
		// thread is just for delay
		try {
			Thread.currentThread().sleep(10000);
		} catch (InterruptedException e) {}
		
		System.out.println("dog is stucked");
		
		recognizer.recognize(allowedBark);
		System.out.println("dog is back inside");

	}

}
