import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;


enum Analytics { 
	PRESCRIPTIVE, PREDICTIVE, MINING 
	}

public class EnumType {
	
	public static void main(String[] args) throws ClassNotFoundException, NoSuchFieldException, SecurityException, 
		IllegalArgumentException, IllegalAccessException, InstantiationException {
				
		Class<?> c = Class.forName("Analytics");
		System.out.println(c.isEnum());
		
		System.out.println(Arrays.asList(c.getEnumConstants()));
		
		/* Getting constants */
		
		List<Field> cst = new ArrayList<Field>();
		Field[] flds = c.getDeclaredFields();
		
		for(Field f : flds) {
			if(f.isEnumConstant()) {
				cst.add(f);
			}						
		}
		
		for (Iterator it = cst.iterator(); it.hasNext();) {
			System.out.println(it.next());
		}
		
	}

}
