// The Listener Class - dynamic initializer
// here can be initialized dynamicly with help of xml any object for passing it to the servlet

package com.example;

import javax.servlet.*;

public class MyServletContextListener implements ServletContextListener {

	public void contextInitialized(ServletContextEvent event) {

		ServletContext sc = event.getServletContext();
		String dogBreed = sc.getInitParameter("breed");
		int dogAge = Integer.parseInt(sc.getInitParameter("age"));		// convert String param to int

		Dog d = new Dog(dogBreed, dogAge);

		sc.setAttribute("dog", d);	

	}

	public void contextDestroyed(ServletContextEvent event) {


	}



}