package odissue71;

import java.util.*;

public class BulkUser implements Person {
	
	private Collection<Ticket> tickets;
	private Map<String, Ticket> mapTickets;
	private Properties propsTickets;
	
	public void setTickets(Collection<Ticket> tickets) {
		this.tickets = tickets;
	}
	
	public void setMapTickets(Map<String, Ticket> mapTickets) {
		this.mapTickets = mapTickets;
	}
	
	public void setPropsTickets(Properties propsTickets) {
		this.propsTickets = propsTickets;
	}
	
	public void createTicket() {
		System.out.println("\nBulk operations: ");
		for(Iterator it = tickets.iterator(); it.hasNext();) {
			Ticket t = (Ticket)it.next();
			System.out.println(t.getSummary());
		}		
	}
	
	public void createMapTicket() {
		System.out.println("\nMapped tickets: ");
		
		for (String key : mapTickets.keySet()) {
			Ticket ticket = mapTickets.get(key);
			System.out.println(key + ": " + ticket.getSummary());
		}
	}
	
	public void createPropsTicket() {
		System.out.println("\nProps tickets: ");
		System.out.println(propsTickets.toString());
	}

}
