package odissue72;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestOdissue {
	
	public static void main (String[] args) {
		
		ApplicationContext ctx = new ClassPathXmlApplicationContext("odissue72/odissue72.xml");
		
		Ticket tktByName = (Ticket)ctx.getBean("ticketByName");		
		System.out.println(tktByName.getId() + "\n" + tktByName.getSummary() + "\n" + tktByName.getAssignee().getfName() + "\n");
		
		Ticket tktByType = (Ticket)ctx.getBean("ticketByType");		
		System.out.println(tktByType.getId() + "\n" + tktByType.getSummary() + "\n" + tktByType.getAssignee().getfName() + "\n");
		
		Ticket tktConstructor = (Ticket)ctx.getBean("ticketConstructor");
		System.out.println(tktConstructor.getId() + "\n" + tktConstructor.getSummary() + "\n" + tktConstructor.getAssignee().getfName() + "\n");

		Ticket tktAutoConstructor = (Ticket)ctx.getBean("ticketAutoConstructor");
		System.out.println(tktAutoConstructor.getId() + "\n" 
				+ tktAutoConstructor.getSummary() + "\n" + tktAutoConstructor.getAssignee().getfName() + "\n");

	}

}
