package odissue72.autowired;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

public class Ticket {
	
	private String summary;
	private Person assignee;
	private int id;
	
	@Autowired(required=false)
	@Qualifier("wo2")
	private WorkOrder wo;

	public Ticket() {
		
	}
	
//	@Autowired
//	public Ticket(Person a) {
//		this.summary = "Bugs are auto-constructors";
//		this.assignee = a;
//		this.id = 330212;
//	}
	
	public Ticket(String s, Person a, int i) {
		this.summary = s;
		this.assignee = a;
		this.id = i;
	}
	
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public Person getAssignee() {
		return assignee;
	}
	
	@Autowired
	@People
	public void setCustomAssignee(Person assignee) {
		this.assignee = assignee;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}

	public WorkOrder getWo() {
		return wo;
	}
	
	public void setWo(WorkOrder wo) {
		this.wo = wo;
	}
	

}
