package odissue72.jconfig;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestOdissue {
	
	public static void main (String[] args) {
		
		ApplicationContext ctx = new ClassPathXmlApplicationContext("odissue72/jconfig/odissue72j.xml");
		
		Ticket tkt = (Ticket)ctx.getBean("incident");
		System.out.println("incident's id: " + tkt.getId());
		System.out.println("incident's summary: " + tkt.getSummary());
		System.out.println("incident's assignee: " + tkt.getAssignee().getfName());
		
		WorkOrder wo = (WorkOrder)ctx.getBean("wo");
		System.out.println("wo's summary: " + wo.getSummary());
		System.out.println("wo's assignee: " + wo.getAssignee().getfName());
		
		System.out.println("\nPERSONS:");
		Person person = (Person)ctx.getBean("consultant");
		System.out.println(person.getfName());

		Person employee = (Person)ctx.getBean("employee");
		System.out.println(employee.getfName());
		
		Person intern = (Person)ctx.getBean("intern");
		System.out.println(intern.getfName());
	}
	
}
