package odissue72.qualifier;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

public class Ticket {
	
	private String summary;
	
	@Autowired
	@Female
	private Person assignee;
	
	private int id;
	
	public Ticket() {
		
	}
	
	public Ticket(String s, Person a, int i) {
		this.summary = s;
		this.assignee = a;
		this.id = i;
	}
	
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public Person getAssignee() {
		return assignee;
	}
	
//	@Qualifier("female")
	public void setCustomAssignee(Person assignee) {
		this.assignee = assignee;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}

}
