package com.odissue.basic;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class BasicController {
	
	@RequestMapping(value = "/wo")
	public String getWo(Model model) {
		List<Ticket> tickets = new ArrayList<Ticket>();
		model.addAttribute("tickets", tickets);
		
		return "workorders";
	}
	
	@RequestMapping(value = "/battle")
	public String index(Model model) {
		
		String returnVal = null;
		int icount = 0;
		int wcount = 0;
		
		ApplicationContext ctx = new ClassPathXmlApplicationContext("com/odissue/basic/odissue-beans.xml");
				
		List<Ticket> tickets = new ArrayList<Ticket>();
		tickets.add((Ticket)ctx.getBean("incident"));
		tickets.add((Ticket)ctx.getBean("workorder"));
		tickets.add((Ticket)ctx.getBean("workorder"));
		tickets.add((Ticket)ctx.getBean("workorder"));
		tickets.add((Ticket)ctx.getBean("incident"));
		
		for(Iterator it = tickets.iterator(); it.hasNext();) {
			if(it.next().getClass().getSimpleName().equals("WorkOrder")) {
				wcount++;
			} else {
				icount++;
			}
		}
	
		if(icount > wcount) {
			returnVal = "incidents";
		} else if(icount < wcount) {
			returnVal = "workorders";
		} else {
			returnVal = "both";
		}
		
		model.addAttribute("tickets", tickets);
		
		return returnVal;		
	}

}
