package com.odissue;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.odissue.model.Ticket;

public class TicketRegister extends HttpServlet {
	
	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		
		Ticket tkt = new Ticket();
		tkt.setSummary(request.getParameter("summary"));
		tkt.setRequester(request.getParameter("requester"));
		tkt.setId(1212);
		tkt.setPriority(request.getParameter("priority"));
		
		ServletContext sc = getServletContext();
		Ticket tkt2 = (Ticket)sc.getAttribute("ticketBean");
		
		String assignee = sc.getInitParameter("assignee");
		tkt2.setAssignee(assignee);
		
		request.setAttribute("ticketBean", tkt2);
						
		RequestDispatcher view = request.getRequestDispatcher("results.jsp");
		view.forward(request, response);
	}

}
