---
*The main purpose of the project is to learn Java software development principles*

---

#### M1. Object-Oriented analysis/design in general
###### Materials: 
*(Horstmann / docs.oracle.com)* <br>
###### java-edu: 
[Milestone M1 Issues](https://github.com/frolov/java-edu/issues?milestone=1&state=closed)<br>
[Milestone M1 Code](https://github.com/frolov/java-edu/tree/master/oop-general)
<br><br>
#### M2. Object Oriented Analysis and Design
###### Materials: 
*O'reilly's Head First Object-Oriented Analysis and Design* <br>
###### Implemented in Playground: 
[Milestone M1](https://github.com/frolov/oop-servlets-playground/issues?milestone=1) <br>
[Wiki](https://github.com/frolov/oop-servlets-playground/wiki/Object-Oriented-Analysis-and-Design)
###### java-edu: 
[Milestone M2 Issues](https://github.com/frolov/java-edu/issues?milestone=2&state=closed)<br>
[Milestone M2 Code](https://github.com/frolov/java-edu/tree/master/oop-headfirst)
<br><br>
#### M3. Servlets and JSP
###### Materials: 
*O'reilly's Head First Servlets and JSP* <br>
###### Implemented in Playground: 
https://github.com/frolov/oop-servlets-playground/tree/master/M2
###### java-edu: 
[Milestone M3 Issues](https://github.com/frolov/java-edu/issues?milestone=3&state=closed)<br>
[Milestone M3 Code](https://github.com/frolov/java-edu/tree/master/servlets-jsp-headfirst)
<br><br>
#### M4. Collections
###### Materials: 
*Collections by Josh Bloch* <br>
###### Implemented in Odissue: 
https://github.com/frolov/odissue/tree/master/manager-collections-portlet <br>
https://github.com/frolov/odissue/tree/master/monitor-collections-portlet <br>
https://github.com/frolov/odissue/tree/master/reporter-collections-portlet
###### java-edu: 
[Milestone M4 Issues](https://github.com/frolov/java-edu/issues?milestone=4&state=closed)<br>
[Milestone M4 Code](https://github.com/frolov/java-edu/tree/master/collections-oracle-tutorial)
#### M5. JDBC 
*in progress* 
###### Materials: 
*JDBC Database Access tutorial by Oracle* <br>
###### Implemented in Odissue: 
https://github.com/frolov/odissue/tree/master/manager-jdbc-portlet <br>
https://github.com/frolov/odissue/tree/master/monitor-jdbc-portlet <br>
https://github.com/frolov/odissue/tree/master/reporter-jdbc-portlet
###### java-edu: 
[Milestone M5 Issues](https://github.com/frolov/java-edu/issues?milestone=5&state=closed)<br>
[Milestone M5 Code](https://github.com/frolov/java-edu/tree/master/jdbc-oracle-tutorial)
