package azim;
import java.lang.reflect.*;
import java.util.NoSuchElementException;

@MyAnnotation (author="VF", date="3/04/2013")
public class Test {
	
	@MyAnnotation (author="VF", date="3/04/2013")
	public static void callMe() {
		System.out.println("Method calling");
	}
	
	public static void showAnnotations() throws NoSuchMethodException, SecurityException {
		Test test = new Test();
		Class c = test.getClass();
		Method m = c.getMethod("callMe");
		
		System.out.println(c.getAnnotation(MyAnnotation.class).toString());		
		
		MyAnnotation anno = (MyAnnotation) c.getAnnotation(MyAnnotation.class);
		System.out.println(anno.author());
		System.out.println(anno.date());
	}
	
	public static void main(String[] args) throws NoSuchMethodException, SecurityException {
		
		callMe();
		showAnnotations();
	}
		

}
