package vogella;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class RunTest {

	public static void main(String[] args) throws IllegalAccessException, IllegalArgumentException, InvocationTargetException {
		
		AnnotationRunner runner = new AnnotationRunner();
		Method[] methods = runner.getClass().getMethods();
		
		methods[3].invoke(runner);
		
		// run only annotated methods
		for(Method method : methods) {
			CanRun anno = method.getAnnotation(CanRun.class);
			if(anno != null) {
				try {
					method.invoke(runner);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		}
		

	}

}
