package src;

import java.util.*;

public class PlayCollection {
	
	public static void main (String[] args) {
		
		Collection c = new ArrayList<String>();
		List l = new ArrayList<String>();
		
		c.add("First");
		c.add("First2");
		c.add(null);
		
		l.add("Second");
		l.add("Second2");
		l.add("Second3");
		
		filterString(c, "First2");
		
		l.addAll(c);
		c.removeAll(Collections.singleton(null)); //deletes nulls		
		
		
		for (Object o : l) {
			if (o != null) {
			System.out.println("for each: " + o.toString());
			}
		}
		
		for (Iterator it = c.iterator(); it.hasNext();) {
			System.out.println("iterator: " + it.next());
		}
	
		String[] a = (String[]) l.toArray(new String[0]);
		
		System.out.println("from array: " + a[0]);
		
	}
		
	
	static void filterString(Collection<?> c, String filter) {
		for (Iterator<?> it = c.iterator(); it.hasNext();) {
			if (it.next() == filter) {
				it.remove();				
			}
			
		}
	}

}
