package src;

import java.util.*;

public class PlayQueue {


	public static void main(String[] args) throws InterruptedException {
		
		List<Integer> c = new ArrayList<Integer>();
		for(int i = 0; i <= 4; i++) {
			c.add(i);
		}
		
		Collections.shuffle(c);		
		for(Iterator it = c.iterator(); it.hasNext(); ) {
			System.out.println(it.next());
		}		
		
		System.out.println("Sorting...");
		Thread.sleep(1000);
		
		List c2 = new ArrayList<Integer>(heapSort(c));	// sort method based on PriorityQueue behavior
		for(Iterator it = c2.iterator(); it.hasNext(); ) {
			System.out.println(it.next());
		}				

	}
	
	
	static <E> List<E> heapSort (Collection<E> c) {
		Queue<E> queue = new PriorityQueue<E>(c);
		List<E> result = new ArrayList<E>();
		
		while (!queue.isEmpty())
			result.add(queue.remove());
		
		return result;			
	}

}
