package com.odissue.hibernate.collections.set;

import com.odissue.hibernate.collections.set.WorkOrder;

public class WorkOrder {
	
	private int id;
	private String summary;
	private String parent;
	
	public WorkOrder() {
		
	}
	
	public WorkOrder(String s) {
		this.summary = s;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getParent() {
		return parent;
	}

	public void setParent(String parent) {
		this.parent = parent;
	}
	
	  public boolean equals(Object obj) {
	      if (obj == null) return false;
	      if (!this.getClass().equals(obj.getClass())) return false;

	      WorkOrder obj2 = (WorkOrder)obj;
	      if((this.getSummary() == obj2.getSummary()) && (this.parent.equals(obj2.getParent())))
	      {
	         return true;
	      }
	      return false;
	   }
	   public int hashCode() {
	      int tmp = 0;
	      tmp = ( summary + parent).hashCode();
	      return tmp;
	   }

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

}
