package src;

import java.beans.*;
import java.io.*;

public class RunIssue {
	
	public static void main(String[] args) throws FileNotFoundException {
	
		Issue issue = new Issue();
		issue.setSummary("THIS IS SUMMARY");
		issue.setAttachments(33);
		
		issue.setRelation(true);
		if (issue.isRelated()) {
			System.out.println("Issue1 has relations");
		}
		
		XMLEncoder encoder = new XMLEncoder(new BufferedOutputStream(new FileOutputStream(".\\ENC.xml")));
		encoder.writeObject(issue);
		encoder.close();		
		
		XMLDecoder decoder = new XMLDecoder(new BufferedInputStream(new FileInputStream(".\\ENC.xml")));
		Issue issue2 = (Issue)decoder.readObject();
		decoder.close();
		
		System.out.println("Issue1: " + issue.getSummary() + "\n" + issue.getAttachments());
		System.out.println("Issue2 from decoded xml: " + issue2.getSummary() + "\n" + issue2.getAttachments());
		

		
	}

}
