import java.sql.*;

public class PlayTrans {
	
	public static void doTransact() throws SQLException {
		
		int authorityLevel = 10;
		
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		conn.setAutoCommit(false);
		
		// Level A
		Savepoint save1 = conn.setSavepoint();
		PreparedStatement ps1 = conn.prepareStatement("UPDATE tea SET flavour = 'Level A' WHERE price = 9.99");
		ps1.executeUpdate();
		
		// Level B
		Savepoint save2 = conn.setSavepoint();
		PreparedStatement ps2 = conn.prepareStatement("UPDATE tea SET type = 'Level B' WHERE price = 9.99");
		ps2.executeUpdate();
		
		// Level C
		Savepoint save3 = conn.setSavepoint();
		PreparedStatement ps3 = conn.prepareStatement("UPDATE tea SET person = 'Level C' WHERE price = 9.99");
		ps3.executeUpdate();
		
		if(authorityLevel == 10) {
			conn.rollback(save2);
			System.out.println("Rolling back...");
		} else if(authorityLevel == 100) {
			conn.rollback(save3);
			System.out.println("Rolling back2...");
		}
		
		conn.commit();
	}
	
	public static void main(String[] args) throws SQLException {
		doTransact();
	}

}
