import java.sql.*;

import javax.sql.rowset.*;

public class PlayCachedRowSet {
	
	public static void doConnect() throws SQLException {
		
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		conn.setAutoCommit(false);
		
		RowSetFactory rSfactory = RowSetProvider.newFactory();
		CachedRowSet crs = rSfactory.createCachedRowSet();
						
		int[] keys = {1};
		crs.setKeyColumns(keys);
		
		crs.setCommand("SELECT * FROM coffees");
		crs.execute(conn);
		
		System.out.println("connected!");
		
		while(crs.next()) {
			// rise 10% price if there are few items left
			if(crs.getInt("TOTAL") > 20) {
				crs.updateDouble("PRICE", crs.getDouble("PRICE") + (crs.getDouble("PRICE") / 100 * 10));
				crs.updateRow();	
				crs.acceptChanges();
			}
						
			System.out.println("Found: " + crs.getString("COF_NAME") + " = " + crs.getDouble("PRICE"));
		}
	}
	
	public static void main(String[] args) throws SQLException {
		
		doConnect();
	}

}
