import java.sql.SQLException;

import javax.sql.RowSet;
import javax.sql.rowset.*;


public class PlayFilter implements Predicate {
	
	private int lo;
	private int hi;
	private int colNumber = -1;
	
	public PlayFilter (int lo, int hi, int colNumber) {
		this.lo = lo;
		this.hi = hi;
		this.colNumber = colNumber;
	}
	

	public boolean evaluate(RowSet rs) {
		
		CachedRowSet crs = (CachedRowSet)rs;
		boolean evaluation = false;
		
		int columnValue = -1;
		
	try {
		columnValue = crs.getInt(this.colNumber);
		
		if((columnValue >= this.lo) && (columnValue <= this.hi)) {
			evaluation = true;
		} 
	} catch (SQLException e) {
		System.out.println(e);
	}
		return evaluation;
	}
	
	
	public boolean evaluate(Object value, int colNum) {
		return true;
	}
	
	
	public boolean evaluate(Object value, String colName) {
		return true;		
	}
}
