import java.sql.SQLException;

import javax.sql.RowSet;
import javax.sql.rowset.*;


public class PlayFilter2 implements Predicate {
	
	private String[] names;
	private int colNumber = -1;
		
	public PlayFilter2 (String[] names, int colNumber) {
		this.names = names;
		this.colNumber = colNumber;
	}

	public boolean evaluate(RowSet rs) {
		
		CachedRowSet crs = (CachedRowSet)rs;
		boolean evaluation = false;
		String columnValue2 = null;
		
	try {
		
		columnValue2 = crs.getString(this.colNumber);
		
		for (int i = 0; i <= names.length-1; i++) {
			if(columnValue2.equalsIgnoreCase(names[i])) {
				evaluation = true;
			}
		}
		
	} catch (SQLException e) {
		System.out.println(e);
	}
		return evaluation;
	}
	
	public boolean evaluate(Object value, int colNum) {
		return true;
	}
	
	public boolean evaluate(Object value, String colName) {
		return true;		
	}
}
