import java.io.IOException;
import java.sql.*;
import java.util.Random;

import javax.sql.rowset.*;

public class PlayWebRowSet {
	
	public static void doConnect() throws SQLException, IOException {
		
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		
		RowSetFactory rsf = RowSetProvider.newFactory();
		WebRowSet wrsWrite = rsf.createWebRowSet();
		WebRowSet wrsRead = rsf.createWebRowSet();
		
		wrsWrite.setCommand("SELECT cof_name, price FROM coffees");
		wrsWrite.execute(conn);
		
		wrsWrite.moveToInsertRow();
		wrsWrite.updateString("COF_NAME", "Latte");
		wrsWrite.updateDouble("PRICE", 9.99);
		wrsWrite.insertRow();
		wrsWrite.moveToCurrentRow();
		
		wrsWrite.absolute(3);
		wrsWrite.deleteRow();
		
		wrsWrite.absolute(9);
		wrsWrite.updateDouble("PRICE", 1.11);
		
		java.io.FileWriter writer = new java.io.FileWriter("D:\\temp\\write.xml");
		wrsWrite.writeXml(writer);	
		
		java.io.FileReader reader = new java.io.FileReader("D:\\temp\\read.xml");
		wrsRead.readXml(reader);
		
		while(wrsRead.next()) {
			System.out.println(wrsRead.getString(1));
		}
	}
	
	public static void main(String[] args) throws SQLException, IOException {
		doConnect();
	}

}
