import java.sql.*;

public class PlayProcCustom {
	
	public static void procInfoHouses() throws SQLException {
		
		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		
		String proc = "CREATE PROCEDURE info_houses(IN house_id numeric(20), OUT icity varchar(20)) " +
				"BEGIN " +
				"SELECT coffee_houses.city INTO icity FROM coffee_houses " +
				"WHERE coffee_houses.store_id = house_id; " + 
				"SELECT icity; " +
				"END";
		
		Statement stmt = conn.createStatement();
		stmt.execute(proc);
	}
	
	public static void getCityById(int houseIdArg) throws SQLException {

		Connection conn = DriverManager.getConnection("jdbc:mysql://localhost:3306/testdb?user=root&password=toor");
		CallableStatement cstmt = conn.prepareCall("{call info_houses(?, ?)}");
		cstmt.setInt(1, houseIdArg);
		cstmt.registerOutParameter(2, Types.CHAR);
		cstmt.executeQuery();
		
		String city = cstmt.getString(2);
		System.out.println(city);
	}
	
	
	public static void main (String[] args) throws SQLException {
		getCityById(10039);
	}
}
