package may3;

import java.util.GregorianCalendar;

public class Incident implements Tickets {

	private static String PREFIX = "INC";

	private String summary;
	private int id;
	private String status = "New";

	public Incident(String s) {

		this.summary = s;
		this.id = (int) new GregorianCalendar().getTime().getTime() / 201; // random id

	}

	public void setSummary(String s) {
		this.summary = s;
	}

	public void setId(int i) {
		this.id = i;
	}

	public void setStatus(String s) {
		this.status = s;
	}

	public int getId() {
		return this.id;
	}

	public String getSummary() {
		return summary;
	}

	public String getStatus() {
		return status;
	}

	public void getInfo() {
		System.out.println("[" + PREFIX + this.getId() + "]" + " "
				+ this.getSummary() + "\n" + "Status: " + this.getStatus()
				+ "\n");
	}

}
