package may11;

public class DataStructure {

	private final static int SIZE = 33;
	private int[] arrayOfInts = new int[SIZE];

	public DataStructure() {
		for (int i = 0; i < SIZE; i++) {
			arrayOfInts[i] = i;
		}
	}

	// implements the Iterator pattern
	public class InnerEvenIterator {
		private int next = 0;

		public boolean hasNext() {
			return (next <= SIZE - 1);
		}

		public int getNext() {
			int retValue = arrayOfInts[next];
			next += 2;
			return retValue;
		}

	}

	public void printEven() {

		InnerEvenIterator iterator = this.new InnerEvenIterator();

		while (iterator.hasNext()) {
			System.out.println(iterator.getNext() + " ");
		}

	}

	public static void main(String[] args) {
		
		DataStructure ds = new DataStructure();
		ds.printEven();
		
	}

}
