package may11;

enum Day {

	SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY;
}

public class EnumTest {

	Day day;

	public EnumTest(Day day) {
		this.day = day;
	}

	public void tellItLikeItIs() {

		switch (day) {

		case MONDAY:
			System.out.println("Mondays are bad");
			break;
		case SATURDAY:
			System.out.println("Weekends are good");
			break;
		default:
			System.out.println("so-so");
			
			// enum methods
			for (Day d : day.values()) {
				System.out.println(d.toString());
			}
			
			System.out.println(day.MONDAY.compareTo(day.SATURDAY));
			break;

		}

	}

	public static void main(String[] args) {

		EnumTest firstDay = new EnumTest(Day.MONDAY);
		firstDay.tellItLikeItIs();

		EnumTest weekEnd = new EnumTest(Day.SATURDAY);
		weekEnd.tellItLikeItIs();
		
		EnumTest someDay = new EnumTest(Day.TUESDAY);
		someDay.tellItLikeItIs();

	}

}
