package may21;

public class DogDoorSimulator {

	public static void main(String[] args) {

		DogDoor door = new DogDoor();
		BarkRecognizer recognizer = new BarkRecognizer(door);
		Remote remote = new Remote(door);
		
		recognizer.recognize("Woof");

		// open the door
		System.out.println("dog is out");

		
		// thread is just for delay
		try {
			Thread.currentThread().sleep(10000);
		} catch (InterruptedException e) {}
		
		System.out.println("dog is stucked");
		
		recognizer.recognize("Woof");
		System.out.println("dog is back inside");

	}

}
