package may22;


import java.util.Timer;
import java.util.TimerTask;

public class DogDoor {

	public boolean open;
	public Bark allowedBark;

	public DogDoor() {

		this.open = false;

	}
	
	
	public void open() {
		System.out.println("The door is open");
		open = true;
		
		final Timer timer = new Timer();
		timer.schedule(new TimerTask() {
			public void run() {
				close();
				timer.cancel();
			}				
		}, 5000);	
	}
	
	public void close() {
		System.out.println("The door is closed");
		open = false;
	}
	
	public boolean isOpen() {
		return open;
	}
	
	
	public void setAllowedBark(Bark allowedBark) {
		this.allowedBark = allowedBark;
	}
	
	public Bark getAllowedBark() {
		return allowedBark;
	}
	

}
