import java.lang.annotation.Annotation;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Member;
import java.lang.reflect.Method;

import static java.lang.System.out;

import tickets.WorkOrder;

public class Examing {
	
	public static void main(String[] args) {
		
		WorkOrder wo = new WorkOrder("TEST", 12);
		System.out.println(wo.getClass().getModifiers());
		
		
		Annotation[] womods = wo.getClass().getAnnotations();
		
		for(int i = 0; i < womods.length; i++) {
			System.out.println(womods[i].toString());
		}
		
		printMembers(wo.getClass().getMethods(), "Methods");
		printMembers(wo.getClass().getFields(), "Fields");
		printMembers(wo.getClass().getConstructors(), "Constructors");
	}
	
	
	public static void printMembers(Member[] mbrs, String s) {
		
		out.format("%s:%n", s);
		for(Member mbr : mbrs) {
			if (mbr instanceof Field)
				out.format(" %s%n", ((Field)mbr).toGenericString());
			if (mbr instanceof Constructor)
				out.format(" %s%n", ((Constructor)mbr).toGenericString());
			if (mbr instanceof Method)
				out.format(" %s%n", ((Method)mbr).toGenericString());
			}
		if(mbrs.length == 0) 
			out.format(" --- NO %s --%n", s);
		out.format("%n");		
	}
	
		
	
	
}
