import java.lang.reflect.Array;
import java.lang.reflect.Field;


public class ArrayType {
	
	public static void main (String[] args) throws ClassNotFoundException {
		
		
		/* Identifying Array Types */
		
		Class<?> t = Class.forName("java.nio.ByteBuffer");
		System.out.println("Class " + t.getSimpleName() + " is array: " + t.isArray());
		
		String[] arr = new String[22];
		Class c = arr.getClass();
		
		System.out.println(c.isArray());
		
		/* Creating New Arrays */
		
		Class<?> a = Class.forName("java.lang.String");
		Object o = Array.newInstance(a, 22);
		
		String val = "predict";
		Array.set(o, 0, val);		
				
		System.out.println(o.getClass().getSimpleName());
		System.out.println(Array.get(o, 0));
		
		/* Getting and Setting Arrays and Their Components */
		
		Class<?> a2 = int.class;
		Object o2 = Array.newInstance(a2, 9);
		
		Array.setInt(o2, 0, 9901);
		System.out.println(Array.get(o2, 0));
		
		
		
	}

}
