// Controller

package com.example.web;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import com.example.model.*;

public class BeerSelect extends HttpServlet {

public void doPost(HttpServletRequest request, 
	HttpServletResponse response) throws IOException, ServletException {

	String c = request.getParameter("color");	// get color value from html form
	BeerExpert expert = new BeerExpert();	// Model object
	List result = expert.getBrands(c);	// data from Model

	String test = "Testing attributes";	// testing another attribute

	request.setAttribute("styles", result); // setting attribute for the data from the Model class
	request.setAttribute("attr", test); // another attribute 

	RequestDispatcher view = request.getRequestDispatcher("result.jsp");
	view.forward(request, response); // forwards the request from a servlet to JSP to generate the response

	
	}
	
}