<%@ page import = "foo.*"%>

<html>
<body>

<!-- Forwarding ("Pollock" for name to forward) -->

<% if(((Issue)request.getAttribute("jsp_issue")).getPerson().getName() == "name") { %>
	
	<jsp:forward page = "index.html" />

<% } %>


include directive:
<%@ include file = "header.jsp" %>



<jsp:useBean id = "issue6" type = "foo.Issue" class = "foo.WorkOrder">

<jsp:setProperty name = "issue6" property = "summary" />
<jsp:setProperty name = "issue6" property = "id" />

[Getting the property of the property (scripting)]<br>
Summary: <jsp:getProperty name = "issue6" property = "summary" />
<br>ID: <jsp:getProperty name = "issue6" property = "id" />
<br>Assignee: <%= ((Issue)request.getAttribute("jsp_issue")).getPerson().getName() %>
</jsp:useBean>



<p>[Expression Language]<br>

<jsp:useBean id = "issue7" type = "foo.Issue" class = "foo.WorkOrder">

<jsp:setProperty name = "issue7" property = "summary" />
<jsp:setProperty name = "issue7" property = "id" />

Summary: <jsp:getProperty name = "issue7" property = "summary" />
<br>ID: <jsp:getProperty name = "issue7" property = "id" /><br>


Assignee (EL - bean): ${jsp_issue.person.name}<br>
Summary (EL - bean): ${jsp_issue.summary}



<p>Array (EL): ${jsp_array[1]}

<p>ArrayList (EL): ${cities}

<p>ArrayList (nested EL): ${cities[jsp_array[3]]}

<p>REQUEST parameters (EL)<br>
	field 1: ${param.summary}<br>
	field 2: ${param.id}<br>

<p>HEADER parameters (EL)<br>
	Host is: ${header.host}

<p>CONTEXT parameters (EL)<br>
	Context: ${initParam.capital}

</jsp:useBean>


<%@ taglib prefix = "mine" uri = "RandomFunc" %>

<p>EL taglib function returns: ${mine: rand()}


<p>include standart action (do in runtime) and dynamic params:
<jsp:include page = "header.jsp" >
	<jsp:param name = "cities" value = "Den Haag, Antwerp, Bruxelles" />
</jsp:include>





</body>
</html>