

<html>
<body>


	<% String login = (String)request.getAttribute("login_attr"); %>

	Your login is: ${login_attr}.

	<%@ taglib prefix = "c" uri = "http://java.sun.com/jsp/jstl/core" %>
	<p>Hello, <c:out value = "${login}" default = "guest" />




<table>
	<p>Cities looping (scripting):<br>
	<% String[] cities = (String[])request.getAttribute("cities");

	String var = null;

	for (int i = 0; i < cities.length; i++) {

		var = cities[i];

		%> 

		<tr><td><%= var %> </td></tr>
		<% } %>
</table>



<p>
	Cities looping (JSTL):<br>
	<table>
		<c:forEach var = "list" items = "${cities}" varStatus = "movieLoopCount">
			<tr>
				<td>ID: ${movieLoopCount.count}</td>
				<td>${list}</td>
			</tr>

		</c:forEach>
	</table>


<p>
	Nested c:forEach tags:<br>
	<table>
		<c:forEach var = "listElement" items = "${areas}">
			<c:forEach var = "areaElement" items = "${listElement}">
			<tr>
				<td>${areaElement}</td>
			</tr>
		</c:forEach>
	</c:forEach>
</table>


<c:if test = "${login_attr eq 'member'}">
<jsp:include page = "extra.jsp" />
</c:if>


<c:choose>
	<c:when test = "${login_attr == 'member'}">
		<jsp:include page = "extra.jsp" />
	</c:when>

	<c:when test = "${login_attr == 'member2'}">
		<jsp:include page = "extra.jsp" />
	</c:when>

	<c:otherwise>
		<jsp:include page = "extra2.jsp" />
	</c:otherwise>
</c:choose>

<br>-----------------------------------------<p>

C:SET<p>

c:set without body:<br>
<c:set var = "ocean" scope = "session" value = "Pacific" />
${ocean}<p>

c:set with body:<br>
<c:set var = "oceans" scope = "session">
	Pacific, Atlantic, Indian
</c:set>
${oceans}<p>

c:set target with a map:<br>

<c:set target = "${regions}" property = "Baltics" value = "Estonia" />
${regions.Baltics}

<p>c:remove:<br>
<c:set var = "oceans2" scope = "request" value = "Pacific, Atlantic" />
oceans before = ${oceans2}<br>

<c:remove var = "oceans2" scope = "request" />
oceans after = ${oceans2}<p>


c:import outside (http://localhost:8080/examples/jsp/dates/date.jsp):<br>
<c:import url = "http://localhost:8080/examples/jsp/dates/date.jsp" />

<p>c:url
<br><a href = "<c:url value = '/index.html' />">click here</a>

<p>c:url with body + encoding:<br>
<c:url value = "/jstl.do" var = "inputURL" >
	<c:param name = "login" value = "Donald Duck" />
</c:url>

<a href = "${inputURL}">LINK</a><p>

%@ page errorPage = "error.jsp" %<br>

% int x = 10/0; %<p>

</body>
</html>