package com.javaedu;

import javax.servlet.jsp.*;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.*;
import java.io.*;

public class Nested1 extends TagSupport {

	private int nestLevel = 0;
	
	public int doStartTag() throws JspException  {

		nestLevel = 0;
		Tag parent = getParent();

		while(parent != null) {
			parent = parent.getParent();
			nestLevel++;
		}

	try {
		pageContext.getOut().println("<br>Tag nested level: " + nestLevel);
	} catch (IOException ex) {
		throw new JspException(ex.toString());
	}

	return EVAL_BODY_INCLUDE;
	}
}
