package odissue72.autowired;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestOdissue {
	
	public static void main (String[] args) {
		
		ApplicationContext ctx = new ClassPathXmlApplicationContext("odissue72autowired/odissue72a.xml");
		
		// custom setter property autowired
		Ticket tkt = (Ticket)ctx.getBean("ticket");
		System.out.println("\nticket bean: " + tkt.getSummary());
		System.out.println(tkt.getAssignee().getfName());
		
		// annotated property
		WorkOrder wo = (WorkOrder)ctx.getBean("wo");
		System.out.println("\nwo bean: " + wo.getSummary());
		System.out.println(wo.getAssignee().getfName());
		
		// constructor autowired
		Ticket tkt2 = (Ticket)ctx.getBean("ticketCst");
		System.out.println("\nticketCst bean: " + tkt2.getSummary());
		
		Ticket tkt3 = (Ticket)ctx.getBean("ticket");
		System.out.println("\nticket bean: " + tkt3.getWo().getSummary());

	}
	
}
