package odissue72.jconfig;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class OdissueConfig {
	
	@Bean
	public Person employee() {
		Employee emp = new Employee();
		emp.setfName("James Emp");
		return emp;
	}
	
	@Bean
	public Person consultant() {
		Consultant cons = new Consultant();
		cons.setfName("Brad Cons");
		return cons;
	}
	
	@Bean
	public Person intern() {
		Intern intern = new Intern();
		intern.setfName("Dizzy Int");
		return intern;
	}
	
	@Bean
	public WorkOrder wo() {
		WorkOrder wo = new WorkOrder();
		wo.setAssignee(employee());	// wiring in references to other beans
		wo.setSummary("jconfig wo's summary");
		
		return wo;
	}
	
	@Bean
	public Ticket incident() {
		return new Ticket("jconfig incident's summary", consultant(), 9999);
	}
	
}
