package odissue72.scan;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestOdissue {
	
	public static void main (String[] args) {
		
		ApplicationContext ctx = new ClassPathXmlApplicationContext("odissue72/scan/odissue72s.xml");
		
		Ticket tkt = (Ticket)ctx.getBean("incident");
		System.out.println("id: " + tkt.getId());
		
		WorkOrder wo = (WorkOrder)ctx.getBean("wo");
		System.out.println("wo summary: " + wo.getSummary());
		
		Person person = (Person)ctx.getBean("consultant");
		System.out.println(person.getfName());

		Person employee = (Person)ctx.getBean("employee");
		System.out.println(employee.getfName());
		
		Person intern = (Person)ctx.getBean("intern");
		System.out.println(intern.getfName());
	}
	
}
