package odissue72.scan;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component("incident")
public class Ticket {
	
	private String summary;
	private int id = 12020;
	
	private Employee assignee;
	private WorkOrder wo;

	public Ticket() {
		
	}
	
	public Ticket(String s, Employee a, int i) {
		this.summary = s;
		this.assignee = a;
		this.id = i;
	}
	
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public Employee getAssignee() {
		return assignee;
	}
	public void setCustomAssignee(Employee assignee) {
		this.assignee = assignee;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}

	public WorkOrder getWo() {
		return wo;
	}
	
	public void setWo(WorkOrder wo) {
		this.wo = wo;
	}
}
