package odissue73.jdbc;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;

public class TicketRowMapper implements RowMapper {
	
	public Object mapRow(ResultSet rs, int rowNum) throws SQLException {
		Ticket ticket = new Ticket();
		ticket.setSummary(rs.getString("SUMMARY"));
		ticket.setRequester(rs.getString("REQUESTER"));
		ticket.setId(rs.getInt("ID"));
		
		return ticket;
	}

}
