package com.odissue;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import com.odissue.model.Ticket;

public class TicketContextListener implements ServletContextListener {

	public void contextInitialized(ServletContextEvent event) {
		
		ServletContext sc = event.getServletContext();
		
		Ticket ticket = new Ticket();
		ticket.setSummary("Context summary");
		ticket.setId(11011);
		ticket.setPriority("High");
		ticket.setRequester("Vladimir Frolov");		
		
		sc.setAttribute("ticketBean", ticket);
	}
	
	public void contextDestroyed(ServletContextEvent event) {
		
	}
	
	

}
